> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download MDI

> Download MIDI data from stem separation results

Download MDI (MIDI) data for an audio clip. The `clip_id` must be a clip returned by the `gen_stem_all` task in the [Generate](/api-reference/suno/generate) endpoint.

<Warning>
  This endpoint only works with clips generated from the `gen_stem_all` task. Using a regular clip ID will result in an error.
</Warning>

<Info>
  This is an async task. The response contains a `taskId` — use [Get Task Status](/api-reference/suno/task) to poll for the MDI download URL.
</Info>


## OpenAPI

````yaml POST /suno/v2/mdi
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
  - name: suno/studio
    description: Studio Song Editor（与 audio/crop|fade|reverse 独立）
paths:
  /suno/v2/mdi:
    post:
      tags:
        - suno
      summary: download mdi data
      description: download mdi data by the clip_id returned by the task gen_stem_all
      operationId: ApiPublicController_generateMdi
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateMdiDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    GenerateMdiDto:
      type: object
      properties:
        clip_id:
          type: string
          description: >-
            The clip_id which used to generate the mdi, it must be the clip_id
            returned by the task gen_stem_all.
      required:
        - clip_id
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id. Use this id to query task status.
          example: 15c257ff-43f7-4678-bd41-202ad6b8488b
      required:
        - taskId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````